# lspe_prm

STRIP/LSPE Pointing Reconstruction model

## Installation

```bash
$ pip install lspe_prm
```

## Usage

```python
import numpy as np
from lspe_prm import PRM0

## instantiate object as an ideal telescope setup
prm=PRM0(ideal=True)

# set some angles
prm.tiltFor = 0.1 # deg
prm.cphi0   = -5.1 # deg
prm.commit() # this is mandatory

# creates a list of [theta, phi] couples (deg)
theta_phi=np.array([
 [15., 20]
 ,[25., 50]
 ,[35., 30]
 ,[10., 210]
])

#creates the list of pointing matrices
RotMatr=prm(theta_phi)

#to compute pointings use the dot product with (0,0,1) vector
Pointing=np.array([k.dot(np.array([0,0,1])) for k in RotMatr]).T

#to compute orientation use the dot product with (1,0,0) vector
Orient=np.array([k.dot(np.array([1,0,0])) for k in RotMatr]).T

```

## Contributing

Interested in contributing? Check out the contributing guidelines. Please note that this project is released with a Code of Conduct. By contributing to this project, you agree to abide by its terms.

## License

`lspe_prm` was created by Michele Maris. It is licensed under the terms of the MIT license.

## Credits

`lspe_prm` was created with [`cookiecutter`](https://cookiecutter.readthedocs.io/en/latest/) and the `py-pkgs-cookiecutter` [template](https://github.com/py-pkgs/py-pkgs-cookiecutter).
