from lspe_prm import PRM0

def test_ideal_generation() : 
   """test the generation of an ideal telescope"""
   prm=PRM0(ideal=True)
   expected=[True        ,True        , 0.      , 0.      , 0.      , 1            , 0.          , 1           , 0.        , 0.           ,0.       , 0.          ]
   actual=[prm.isComplete,prm.isAllSet, prm.roll, prm.pan , prm.tilt, prm.thetaSign, prm.ctheta0 , prm.phiSign , prm.cphi0 , prm.tiltFork , prm.zVAX, prm.omegaVAX]
   print(expected)
   print(actual)
   assert expected==actual, "angles are not all set"

def test_ideal_matrices_shapes() : 
   """test the generation of an ideal telescope"""
   prm=PRM0(ideal=True)
   expected = []
   actual = []
   a=[k for k in prm.keys() if not k in ['thetaSign','phiSign']]
   for k in a:
      expected.append((1,3,3))
      actual.append(prm.RM[k].shape)
   print(expected)
   print(actual)
   assert expected==actual, "fixed angles matrices are all not of size (1,3,3)"

